## com.arsdigita.bookmarks
Class ApplicationAuthenticationListener

    java.lang.Object
      com.arsdigita.ui.login.UserAuthenticationListener
          com.arsdigita.bookmarks.ApplicationAuthenticationListener

All Implemented Interfaces:
  EventListener, com.arsdigita.bebop.event.RequestListener

public class ApplicationAuthenticationListener
extends com.arsdigita.ui.login.UserAuthenticationListener
implements com.arsdigita.bebop.event.RequestListener

A RequestListener that verifies the user has a given privilege on the current Application. The user is redirected to ACCESS_DENIED if their is insufficient permission. XXX Permissions will be incorporated in December. This is temporary for use in our engineering production server until. that time.

Field Summary
`static String` `versionId`

Constructor Summary
`ApplicationAuthenticationListener(String privilegeName)`

Method Summary
`void` `denyRequest(com.arsdigita.bebop.PageState state)` Action performed if authentication failed.
`String` `getRequiredPrivilege()`
`void` `pageRequested(com.arsdigita.bebop.event.RequestEvent event)` Checks whether the user is logged in.
`void` `setRequiredPrivilege(String privilegeName)`

Methods inherited from class com.arsdigita.ui.login.UserAuthenticationListener
`getUser, isLoggedIn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### versionId

    public static final String versionId

See Also:
  Constant Field Values

Constructor Detail

### ApplicationAuthenticationListener

    public ApplicationAuthenticationListener(String privilegeName)

Method Detail

### setRequiredPrivilege

    public void setRequiredPrivilege(String privilegeName)

### getRequiredPrivilege

    public String getRequiredPrivilege()

### pageRequested

    public void pageRequested(com.arsdigita.bebop.event.RequestEvent event)

  Checks whether the user is logged in. If not, redirects the client to the login page.

  Specified by:
    `pageRequested` in interface `com.arsdigita.bebop.event.RequestListener`

### denyRequest

    public void denyRequest(com.arsdigita.bebop.PageState state)

  Action performed if authentication failed. Override this to perform a perform a specific action after the authentication check.

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1057 UTC